Oh and then there are construction points and test points? I understand test points but what are construction points? Thank you / gxl
Latest posts made by georglorenz
-
RE: [Plugin] Chronolux for Sketchup
-
RE: [Plugin] Chronolux for Sketchup
Ok this is really interesting and the user interface is just great.
I do understand that it calculates the shading from a specific test point but could you elaborate a little bit on the difference between short rays and long rays and what exactly they do?
Thank you so much / gxl
-
RE: [Plugin] Chronolux for Sketchup
This is incredible. This is unbelievable awesome. I was amazed by simple rays but now years after. And working with Revit all the time. This is incredible.
-
RE: Sketchup 8 + Windows 7 = plugins don't show up?
@unknownuser said:
Hi,
@georglorenz: try the script I have attached and see if it works better.
RegardsThat worked! Thank you Didier!
Here is what I understand you did to the syntax:
model.start_operation "randomflipc"
changed to:
model.start_operation("randomflipc")results = UI.inputbox prompts, defaults, "Random Scale Parameters"
changed to:
results = UI.inputbox(prompts, defaults, "Random Scale Parameters")UI.menu("Plugins").add_item("gxl random flip"){gxl_randomflipc}
changed to:
UI.menu("Plugins").add_item("gxl random flip"){ gxl_randomflipc }Is there a general guide or forum discussion for sketchup 8 syntax that would help me avoid these pitfalls in the future?
Thank you again /g
-
RE: Sketchup 8 + Windows 7 = plugins don't show up?
@unknownuser said:
My guess you have not went to window, preferences, extensions and selected the boxes so they show
Thank you for the reply. Unfortunately they do not show up as extensions. In fact most of the missing plugins are as simple as the attached example. So as I put them in the Plugins folder and restarted Sketchup I expected them to appear in the Plugins Menu. But they don't.
Is there a way to manually load a plugin from within Sketchup?
thank you /g
-
Sketchup 8 + Windows 7 = plugins don't show up?
I switched to a new computer and for whatever reason some of my plugins do not show up in the Plugins menu anymore. I am using Sketchup 8 pro and Windows 7. Did anyone ever have a similar experience?
Could it be a Windows rights issue? I don't have admin rights on this machine but the plugins folder has been made accessible to me. Or am I missing something else completely?
Please find one of my homemade plugins that have this issue below.
Thank you much / g
-
RE: [REQUEST] fog control
@thomthom said:
Btw, the API docs are lying:
I knew it. I knew it! No of course I didn't. Thank you much.
You are right it will do the same thing as the slider, but I am hoping for more fine-control inserting the values. The slider is really akward to control especially when you are doing elevation drawings and want to fade out the background.
Thanks again. You are the man thomthom.
G
-
[REQUEST] fog control
Hi. I am trying to write a small plugin that would provide some numerical control to the fog settings (FogDensity, FogEnd, FogStart and FogType (what is FogType btw?)), via a simple dialog box. Unfortunately I failed in the very early stages. Trying to read the current values resulted in nothing more than an empty messagebox.
Why is that? Or does such a plugin exist already?
Thank you. G
below is the code that gave me the empty messagebox
model = Sketchup.active_model renderingoptions = model.rendering_options value = renderingoptions["FogStart"] UI.messagebox value
-
RE: Simple reflection
@al hart said:
This idea would work.
Another idea one our our clients used to get a reflective floor was to mirror all the geometry through the floor, and make the floor itself partially transparent.
That's right! A mirror is a projection of the object through the plane of the reflecting surface! That could work with any surface not just the floor is what you are saying. Very clever. So the script could also
- mirror the complete geometry of the model around the selected face
- make a section cut through the plane of the selected face
- saving the resulting image
- projecting it on the selected face
- and then undo the translations.
Now that sounds like an evening program for the next half year. Thank you for your answers. G
-
Simple reflection
I have a crazy idea on how to maybe add simple reflectivity to a material. Unfortunately I am not a ruby expert at all, but maybe someone else would want to take on this little project. The script would do something like this:
- Save the current viewpoint
- Get a face from the user selection
- set the viewpoint in the center of the face, looking at the reflected angle to the original view
- render this view
- apply the rendering as the material to the selected face
- return to the original viewpoint
I guess it will never be photo-realistic but maybe the effect is interesting.
What do you think? G